<md-list class="wb-setting-panel">
    <!-- SECTION: Lines -->
    <md-list-item>
        <wb-icon>wb-object-database</wb-icon>
        <p>Lines</p>
        <md-button 
        	class="md-icon-button md-primary" 
        	aria-label="Add" 
        	ng-click="addData()">
            <wb-icon>wb-action-add</wb-icon>
        </md-button>
    </md-list-item>

    <!-- setting for each data -->
    <div ng-repeat="item in wbModel.data">
        <md-list-item style="background-color: #eee">
            <wb-icon>wb-blank</wb-icon>
            <p>Line {{ $index+1 }}</p>
            <md-button 
            	class="md-icon-button md-primary" 
            	aria-label="Remove" 
            	ng-click="removeData(item)">
                <wb-icon style="color:darkred">wb-action-close</wb-icon>
            </md-button>
        </md-list-item>
        
	    <!-- graph type -->
	    <wb-ui-setting-dropdown
	            title="Type"
	            icon="wb-direction"
	            items="[{title:'Line', value:'line'},{title:'Bar', value:'bar'},{title:'Area', value:'area'}]"
	            value="item.type">
	    </wb-ui-setting-dropdown>
	    
		<!-- TODO: maso, 2017: add icont for yAxis -->
		<wb-ui-setting-choose 
			title="Y Axis"
			icon="wb-horizontal-arrows"
			items="[{Title: 'yAxis 1', value: '1'}, {Title: 'yAxis 2', value: '2'}]" 
			ng-model="item.yAxis">
		</wb-ui-setting-choose>
        <wb-ui-setting-color 
        	title="Color" 
        	icon="format_color_fill" 
        	value="item.color">
        </wb-ui-setting-color>
	    <wb-ui-setting-data
	    	title="Data" 
	    	icon="wb-object-database" 
	    	value="item"
	    	remove="removeData">
	    </wb-ui-setting-data>
        <wb-ui-setting-on-off-switch 
        	title="Show Area?" 
        	icon="blur_on"
			value="item.area">
		</wb-ui-setting-on-off-switch>
    </div>
</md-list>